const servicios = require('../services/coberturas');

exports.Buscar = async(req, res)=>{
    try {
        var Buscador = await servicios.Coberturas(req.body.Elemento);
        if(Buscador.length === 0){
            res.json({
                Estado: 'Sin resultados',
                Mensaje: 'No se encontraron resultados con el elemento ingresado, favor de intentar con otro'
            });
        }else{
            res.json({
                Estado: 'Encontrados',
                Mensaje: Buscador
            });
        }
    } catch (error) {
        console.log(error)
    }
}